import axios from 'axios'
let Base64 = require('js-base64').Base64;

let base = 'http://121.40.214.80:81';
let requestHead = {
    headers: {
        'Authorization': 'Basic ' + Base64.encode('3248c111526e4b1eba5cde7669ab2228:f916a7f471944898ab68c8b256e0c324'),
        'Access-Control-Allow-Origin': '*'
    }
};

export function get(url) {
    return axios.get(base + url, requestHead)
        .then(res => {
            if (res.status !== 200) return null;
            return res.data;
        }).catch(err => {
            console.error(err);
            // window.vue.$message.error(err.message);
            // window.vue.$store.commit('changeLonding', false);
            return err;
        });
};

export function post(url, data) {
    return axios.post(base + url, data, requestHead)
        .then(res => {
            if (res.status !== 200) return null;
            return res;

        }).catch(err => {
            console.error(err); //输出日志
            // window.vue.$message.error(err.message);
            // window.vue.$store.commit('changeLonding', false);
            return null;
        })
};

export function del(url) {
    return axios.delete(base + url, requestHead)
        .then(res => {
            if (res.status !== 200) return null;
            return res.data.data;
        }).catch(err => {
            console.error(err);
            // window.vue.$message.error(err.message);
            // window.vue.$store.commit('changeLonding', false);
            return null;
        });
}

export function put(url, data) {
    return axios.put(base + url, data, requestHead)
        .then(res => {
            if (res.status !== 200) return null;
            return res.data;
        }).catch(err => {
            console.error(err);
            // window.vue.$message.error(err.message);
            // window.vue.$store.commit('changeLonding', false);
            return null;
        })
}

// /**
//  * 
//  * @param {*} searchKey 
//  * @param {*} index 
//  * @param {*} size 
//  * @returns 
//  */
// export const getUserApi = (searchKey, index, size) => {
//     return get(`/api/user?searchKey=${searchKey}&index=${index}&size=${size}`);
// }